Creative Software AutoUpdate Engine ActiveX (CTSUEng.ocx) Unspecified Overflow

High Nessus Plugin ID 32442


The remote Windows host has an ActiveX control that is affected by a buffer overflow vulnerability.


The remote host contains the Creative Software AutoUpdate Engine ActiveX control, which is used to automatically update Creative Labs software.

The version of this control installed on the remote host reportedly contains an unspecified stack-based buffer overflow. If an attacker can trick a user on the affected host into viewing a specially crafted HTML document, this method could be leveraged to execute arbitrary code on the affected system subject to the user's privileges.


Unknown at this time.

See Also

Plugin Details

Severity: High

ID: 32442

File Name: ctsu_autoupdate_activex_overflow.nasl

Version: $Revision: 1.20 $

Type: local

Agent: windows

Family: Windows

Published: 2008/05/28

Modified: 2016/11/17

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:W/RC:ND

Vulnerability Information

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Exploitable With

CANVAS (D2ExploitPack)

Core Impact

Metasploit (Creative Software AutoUpdate Engine ActiveX Control Buffer Overflow)

Reference Information

CVE: CVE-2008-0955

BID: 29391

OSVDB: 45655

CERT: 501843

EDB-ID: 5681

Secunia: 30403

CWE: 119